// Copyright 1986-2019 Xilinx, Inc. All Rights Reserved.
// --------------------------------------------------------------------------------
// Tool Version: Vivado v.2019.1 (win64) Build 2552052 Fri May 24 14:49:42 MDT 2019
// Date        : Mon May 25 01:04:54 2020
// Host        : LAPTOP-RJQ3H7G3 running 64-bit major release  (build 9200)
// Command     : write_verilog -force -mode funcsim
//               D:/sound_location_project/energy/dat096-master-latest_version/latest_version/dat096_ref_design.srcs/sources_1/bd/pdm_to_pcm/ip/pdm_to_pcm_demux16_sync_0_0/pdm_to_pcm_demux16_sync_0_0_sim_netlist.v
// Design      : pdm_to_pcm_demux16_sync_0_0
// Purpose     : This verilog netlist is a functional simulation representation of the design and should not be modified
//               or synthesized. This netlist cannot be used for SDF annotated simulation.
// Device      : xc7a200tfbg676-2
// --------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CHECK_LICENSE_TYPE = "pdm_to_pcm_demux16_sync_0_0,demux16_sync,{}" *) (* downgradeipidentifiedwarnings = "yes" *) (* ip_definition_source = "module_ref" *) 
(* x_core_info = "demux16_sync,Vivado 2019.1" *) 
(* NotValidForBitStream *)
module pdm_to_pcm_demux16_sync_0_0
   (clk,
    t_valid,
    t_last,
    output_data0,
    output_data1,
    output_data2,
    output_data3,
    finish,
    input_data);
  (* x_interface_info = "xilinx.com:signal:clock:1.0 clk CLK" *) (* x_interface_parameter = "XIL_INTERFACENAME clk, FREQ_HZ 12800000, PHASE 0.0, CLK_DOMAIN /clk_wiz_0_clk_out1, INSERT_VIP 0" *) input clk;
  input t_valid;
  input t_last;
  output [15:0]output_data0;
  output [15:0]output_data1;
  output [15:0]output_data2;
  output [15:0]output_data3;
  output finish;
  input [15:0]input_data;

  wire clk;
  wire [15:0]input_data;
  wire [15:0]output_data0;
  wire [15:0]output_data1;
  wire [15:0]output_data2;
  wire [15:0]output_data3;
  wire t_last;
  wire t_valid;

  assign finish = t_last;
  pdm_to_pcm_demux16_sync_0_0_demux16_sync U0
       (.clk(clk),
        .input_data(input_data),
        .output_data0(output_data0),
        .output_data1(output_data1),
        .output_data2(output_data2),
        .output_data3(output_data3),
        .t_last(t_last),
        .t_valid(t_valid));
endmodule

(* ORIG_REF_NAME = "demux16_sync" *) 
module pdm_to_pcm_demux16_sync_0_0_demux16_sync
   (output_data0,
    output_data1,
    output_data2,
    output_data3,
    input_data,
    clk,
    t_valid,
    t_last);
  output [15:0]output_data0;
  output [15:0]output_data1;
  output [15:0]output_data2;
  output [15:0]output_data3;
  input [15:0]input_data;
  input clk;
  input t_valid;
  input t_last;

  wire clk;
  wire [15:0]demux16_data0;
  wire [15:0]demux16_data1;
  wire [15:0]demux16_data2;
  wire [15:0]demux16_data3;
  wire [15:0]input_data;
  wire [15:0]output_data0;
  wire [15:0]output_data1;
  wire [15:0]output_data2;
  wire [15:0]output_data3;
  wire t_last;
  wire t_valid;

  pdm_to_pcm_demux16_sync_0_0_demux_16 demux16_sync_component
       (.Q(demux16_data0),
        .clk(clk),
        .input_data(input_data),
        .\input_data[15] (demux16_data1),
        .\input_data[15]_0 (demux16_data2),
        .\input_data[15]_1 (demux16_data3),
        .t_valid(t_valid));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[0] 
       (.CLR(1'b0),
        .D(demux16_data0[0]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data0[0]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[10] 
       (.CLR(1'b0),
        .D(demux16_data0[10]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data0[10]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[11] 
       (.CLR(1'b0),
        .D(demux16_data0[11]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data0[11]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[12] 
       (.CLR(1'b0),
        .D(demux16_data0[12]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data0[12]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[13] 
       (.CLR(1'b0),
        .D(demux16_data0[13]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data0[13]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[14] 
       (.CLR(1'b0),
        .D(demux16_data0[14]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data0[14]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[15] 
       (.CLR(1'b0),
        .D(demux16_data0[15]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data0[15]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[1] 
       (.CLR(1'b0),
        .D(demux16_data0[1]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data0[1]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[2] 
       (.CLR(1'b0),
        .D(demux16_data0[2]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data0[2]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[3] 
       (.CLR(1'b0),
        .D(demux16_data0[3]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data0[3]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[4] 
       (.CLR(1'b0),
        .D(demux16_data0[4]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data0[4]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[5] 
       (.CLR(1'b0),
        .D(demux16_data0[5]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data0[5]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[6] 
       (.CLR(1'b0),
        .D(demux16_data0[6]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data0[6]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[7] 
       (.CLR(1'b0),
        .D(demux16_data0[7]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data0[7]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[8] 
       (.CLR(1'b0),
        .D(demux16_data0[8]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data0[8]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[9] 
       (.CLR(1'b0),
        .D(demux16_data0[9]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data0[9]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[0] 
       (.CLR(1'b0),
        .D(demux16_data1[0]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data1[0]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[10] 
       (.CLR(1'b0),
        .D(demux16_data1[10]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data1[10]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[11] 
       (.CLR(1'b0),
        .D(demux16_data1[11]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data1[11]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[12] 
       (.CLR(1'b0),
        .D(demux16_data1[12]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data1[12]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[13] 
       (.CLR(1'b0),
        .D(demux16_data1[13]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data1[13]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[14] 
       (.CLR(1'b0),
        .D(demux16_data1[14]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data1[14]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[15] 
       (.CLR(1'b0),
        .D(demux16_data1[15]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data1[15]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[1] 
       (.CLR(1'b0),
        .D(demux16_data1[1]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data1[1]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[2] 
       (.CLR(1'b0),
        .D(demux16_data1[2]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data1[2]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[3] 
       (.CLR(1'b0),
        .D(demux16_data1[3]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data1[3]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[4] 
       (.CLR(1'b0),
        .D(demux16_data1[4]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data1[4]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[5] 
       (.CLR(1'b0),
        .D(demux16_data1[5]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data1[5]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[6] 
       (.CLR(1'b0),
        .D(demux16_data1[6]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data1[6]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[7] 
       (.CLR(1'b0),
        .D(demux16_data1[7]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data1[7]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[8] 
       (.CLR(1'b0),
        .D(demux16_data1[8]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data1[8]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[9] 
       (.CLR(1'b0),
        .D(demux16_data1[9]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data1[9]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[0] 
       (.CLR(1'b0),
        .D(demux16_data2[0]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data2[0]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[10] 
       (.CLR(1'b0),
        .D(demux16_data2[10]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data2[10]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[11] 
       (.CLR(1'b0),
        .D(demux16_data2[11]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data2[11]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[12] 
       (.CLR(1'b0),
        .D(demux16_data2[12]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data2[12]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[13] 
       (.CLR(1'b0),
        .D(demux16_data2[13]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data2[13]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[14] 
       (.CLR(1'b0),
        .D(demux16_data2[14]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data2[14]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[15] 
       (.CLR(1'b0),
        .D(demux16_data2[15]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data2[15]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[1] 
       (.CLR(1'b0),
        .D(demux16_data2[1]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data2[1]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[2] 
       (.CLR(1'b0),
        .D(demux16_data2[2]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data2[2]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[3] 
       (.CLR(1'b0),
        .D(demux16_data2[3]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data2[3]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[4] 
       (.CLR(1'b0),
        .D(demux16_data2[4]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data2[4]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[5] 
       (.CLR(1'b0),
        .D(demux16_data2[5]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data2[5]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[6] 
       (.CLR(1'b0),
        .D(demux16_data2[6]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data2[6]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[7] 
       (.CLR(1'b0),
        .D(demux16_data2[7]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data2[7]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[8] 
       (.CLR(1'b0),
        .D(demux16_data2[8]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data2[8]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[9] 
       (.CLR(1'b0),
        .D(demux16_data2[9]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data2[9]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[0] 
       (.CLR(1'b0),
        .D(demux16_data3[0]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data3[0]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[10] 
       (.CLR(1'b0),
        .D(demux16_data3[10]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data3[10]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[11] 
       (.CLR(1'b0),
        .D(demux16_data3[11]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data3[11]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[12] 
       (.CLR(1'b0),
        .D(demux16_data3[12]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data3[12]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[13] 
       (.CLR(1'b0),
        .D(demux16_data3[13]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data3[13]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[14] 
       (.CLR(1'b0),
        .D(demux16_data3[14]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data3[14]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[15] 
       (.CLR(1'b0),
        .D(demux16_data3[15]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data3[15]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[1] 
       (.CLR(1'b0),
        .D(demux16_data3[1]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data3[1]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[2] 
       (.CLR(1'b0),
        .D(demux16_data3[2]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data3[2]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[3] 
       (.CLR(1'b0),
        .D(demux16_data3[3]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data3[3]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[4] 
       (.CLR(1'b0),
        .D(demux16_data3[4]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data3[4]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[5] 
       (.CLR(1'b0),
        .D(demux16_data3[5]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data3[5]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[6] 
       (.CLR(1'b0),
        .D(demux16_data3[6]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data3[6]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[7] 
       (.CLR(1'b0),
        .D(demux16_data3[7]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data3[7]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[8] 
       (.CLR(1'b0),
        .D(demux16_data3[8]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data3[8]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[9] 
       (.CLR(1'b0),
        .D(demux16_data3[9]),
        .G(t_last),
        .GE(1'b1),
        .Q(output_data3[9]));
endmodule

(* ORIG_REF_NAME = "demux_16" *) 
module pdm_to_pcm_demux16_sync_0_0_demux_16
   (Q,
    \input_data[15] ,
    \input_data[15]_0 ,
    \input_data[15]_1 ,
    input_data,
    clk,
    t_valid);
  output [15:0]Q;
  output [15:0]\input_data[15] ;
  output [15:0]\input_data[15]_0 ;
  output [15:0]\input_data[15]_1 ;
  input [15:0]input_data;
  input clk;
  input t_valid;

  wire [15:0]Q;
  wire [1:0]a;
  wire \a[0]_i_1_n_0 ;
  wire \a[1]_i_1_n_0 ;
  wire clk;
  wire [15:0]input_data;
  wire [15:0]\input_data[15] ;
  wire [15:0]\input_data[15]_0 ;
  wire [15:0]\input_data[15]_1 ;
  wire \output_data0_reg[15]_i_1_n_0 ;
  wire \output_data1_reg[15]_i_1_n_0 ;
  wire \output_data2_reg[15]_i_1_n_0 ;
  wire \output_data3_reg[15]_i_1_n_0 ;
  wire t_valid;

  (* SOFT_HLUTNM = "soft_lutpair2" *) 
  LUT1 #(
    .INIT(2'h1)) 
    \a[0]_i_1 
       (.I0(a[0]),
        .O(\a[0]_i_1_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair2" *) 
  LUT2 #(
    .INIT(4'h6)) 
    \a[1]_i_1 
       (.I0(a[0]),
        .I1(a[1]),
        .O(\a[1]_i_1_n_0 ));
  FDRE #(
    .INIT(1'b0)) 
    \a_reg[0] 
       (.C(clk),
        .CE(1'b1),
        .D(\a[0]_i_1_n_0 ),
        .Q(a[0]),
        .R(1'b0));
  FDRE #(
    .INIT(1'b0)) 
    \a_reg[1] 
       (.C(clk),
        .CE(1'b1),
        .D(\a[1]_i_1_n_0 ),
        .Q(a[1]),
        .R(1'b0));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[0] 
       (.CLR(1'b0),
        .D(input_data[0]),
        .G(\output_data0_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(Q[0]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[10] 
       (.CLR(1'b0),
        .D(input_data[10]),
        .G(\output_data0_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(Q[10]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[11] 
       (.CLR(1'b0),
        .D(input_data[11]),
        .G(\output_data0_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(Q[11]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[12] 
       (.CLR(1'b0),
        .D(input_data[12]),
        .G(\output_data0_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(Q[12]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[13] 
       (.CLR(1'b0),
        .D(input_data[13]),
        .G(\output_data0_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(Q[13]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[14] 
       (.CLR(1'b0),
        .D(input_data[14]),
        .G(\output_data0_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(Q[14]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[15] 
       (.CLR(1'b0),
        .D(input_data[15]),
        .G(\output_data0_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(Q[15]));
  (* SOFT_HLUTNM = "soft_lutpair0" *) 
  LUT3 #(
    .INIT(8'h02)) 
    \output_data0_reg[15]_i_1 
       (.I0(t_valid),
        .I1(a[0]),
        .I2(a[1]),
        .O(\output_data0_reg[15]_i_1_n_0 ));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[1] 
       (.CLR(1'b0),
        .D(input_data[1]),
        .G(\output_data0_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(Q[1]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[2] 
       (.CLR(1'b0),
        .D(input_data[2]),
        .G(\output_data0_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(Q[2]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[3] 
       (.CLR(1'b0),
        .D(input_data[3]),
        .G(\output_data0_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(Q[3]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[4] 
       (.CLR(1'b0),
        .D(input_data[4]),
        .G(\output_data0_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(Q[4]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[5] 
       (.CLR(1'b0),
        .D(input_data[5]),
        .G(\output_data0_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(Q[5]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[6] 
       (.CLR(1'b0),
        .D(input_data[6]),
        .G(\output_data0_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(Q[6]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[7] 
       (.CLR(1'b0),
        .D(input_data[7]),
        .G(\output_data0_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(Q[7]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[8] 
       (.CLR(1'b0),
        .D(input_data[8]),
        .G(\output_data0_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(Q[8]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data0_reg[9] 
       (.CLR(1'b0),
        .D(input_data[9]),
        .G(\output_data0_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(Q[9]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[0] 
       (.CLR(1'b0),
        .D(input_data[0]),
        .G(\output_data1_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15] [0]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[10] 
       (.CLR(1'b0),
        .D(input_data[10]),
        .G(\output_data1_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15] [10]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[11] 
       (.CLR(1'b0),
        .D(input_data[11]),
        .G(\output_data1_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15] [11]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[12] 
       (.CLR(1'b0),
        .D(input_data[12]),
        .G(\output_data1_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15] [12]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[13] 
       (.CLR(1'b0),
        .D(input_data[13]),
        .G(\output_data1_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15] [13]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[14] 
       (.CLR(1'b0),
        .D(input_data[14]),
        .G(\output_data1_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15] [14]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[15] 
       (.CLR(1'b0),
        .D(input_data[15]),
        .G(\output_data1_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15] [15]));
  (* SOFT_HLUTNM = "soft_lutpair1" *) 
  LUT3 #(
    .INIT(8'h20)) 
    \output_data1_reg[15]_i_1 
       (.I0(t_valid),
        .I1(a[1]),
        .I2(a[0]),
        .O(\output_data1_reg[15]_i_1_n_0 ));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[1] 
       (.CLR(1'b0),
        .D(input_data[1]),
        .G(\output_data1_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15] [1]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[2] 
       (.CLR(1'b0),
        .D(input_data[2]),
        .G(\output_data1_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15] [2]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[3] 
       (.CLR(1'b0),
        .D(input_data[3]),
        .G(\output_data1_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15] [3]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[4] 
       (.CLR(1'b0),
        .D(input_data[4]),
        .G(\output_data1_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15] [4]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[5] 
       (.CLR(1'b0),
        .D(input_data[5]),
        .G(\output_data1_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15] [5]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[6] 
       (.CLR(1'b0),
        .D(input_data[6]),
        .G(\output_data1_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15] [6]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[7] 
       (.CLR(1'b0),
        .D(input_data[7]),
        .G(\output_data1_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15] [7]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[8] 
       (.CLR(1'b0),
        .D(input_data[8]),
        .G(\output_data1_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15] [8]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data1_reg[9] 
       (.CLR(1'b0),
        .D(input_data[9]),
        .G(\output_data1_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15] [9]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[0] 
       (.CLR(1'b0),
        .D(input_data[0]),
        .G(\output_data2_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_0 [0]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[10] 
       (.CLR(1'b0),
        .D(input_data[10]),
        .G(\output_data2_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_0 [10]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[11] 
       (.CLR(1'b0),
        .D(input_data[11]),
        .G(\output_data2_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_0 [11]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[12] 
       (.CLR(1'b0),
        .D(input_data[12]),
        .G(\output_data2_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_0 [12]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[13] 
       (.CLR(1'b0),
        .D(input_data[13]),
        .G(\output_data2_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_0 [13]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[14] 
       (.CLR(1'b0),
        .D(input_data[14]),
        .G(\output_data2_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_0 [14]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[15] 
       (.CLR(1'b0),
        .D(input_data[15]),
        .G(\output_data2_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_0 [15]));
  (* SOFT_HLUTNM = "soft_lutpair0" *) 
  LUT3 #(
    .INIT(8'h20)) 
    \output_data2_reg[15]_i_1 
       (.I0(t_valid),
        .I1(a[0]),
        .I2(a[1]),
        .O(\output_data2_reg[15]_i_1_n_0 ));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[1] 
       (.CLR(1'b0),
        .D(input_data[1]),
        .G(\output_data2_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_0 [1]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[2] 
       (.CLR(1'b0),
        .D(input_data[2]),
        .G(\output_data2_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_0 [2]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[3] 
       (.CLR(1'b0),
        .D(input_data[3]),
        .G(\output_data2_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_0 [3]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[4] 
       (.CLR(1'b0),
        .D(input_data[4]),
        .G(\output_data2_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_0 [4]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[5] 
       (.CLR(1'b0),
        .D(input_data[5]),
        .G(\output_data2_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_0 [5]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[6] 
       (.CLR(1'b0),
        .D(input_data[6]),
        .G(\output_data2_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_0 [6]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[7] 
       (.CLR(1'b0),
        .D(input_data[7]),
        .G(\output_data2_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_0 [7]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[8] 
       (.CLR(1'b0),
        .D(input_data[8]),
        .G(\output_data2_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_0 [8]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data2_reg[9] 
       (.CLR(1'b0),
        .D(input_data[9]),
        .G(\output_data2_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_0 [9]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[0] 
       (.CLR(1'b0),
        .D(input_data[0]),
        .G(\output_data3_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_1 [0]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[10] 
       (.CLR(1'b0),
        .D(input_data[10]),
        .G(\output_data3_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_1 [10]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[11] 
       (.CLR(1'b0),
        .D(input_data[11]),
        .G(\output_data3_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_1 [11]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[12] 
       (.CLR(1'b0),
        .D(input_data[12]),
        .G(\output_data3_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_1 [12]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[13] 
       (.CLR(1'b0),
        .D(input_data[13]),
        .G(\output_data3_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_1 [13]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[14] 
       (.CLR(1'b0),
        .D(input_data[14]),
        .G(\output_data3_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_1 [14]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[15] 
       (.CLR(1'b0),
        .D(input_data[15]),
        .G(\output_data3_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_1 [15]));
  (* SOFT_HLUTNM = "soft_lutpair1" *) 
  LUT3 #(
    .INIT(8'h80)) 
    \output_data3_reg[15]_i_1 
       (.I0(t_valid),
        .I1(a[1]),
        .I2(a[0]),
        .O(\output_data3_reg[15]_i_1_n_0 ));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[1] 
       (.CLR(1'b0),
        .D(input_data[1]),
        .G(\output_data3_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_1 [1]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[2] 
       (.CLR(1'b0),
        .D(input_data[2]),
        .G(\output_data3_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_1 [2]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[3] 
       (.CLR(1'b0),
        .D(input_data[3]),
        .G(\output_data3_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_1 [3]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[4] 
       (.CLR(1'b0),
        .D(input_data[4]),
        .G(\output_data3_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_1 [4]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[5] 
       (.CLR(1'b0),
        .D(input_data[5]),
        .G(\output_data3_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_1 [5]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[6] 
       (.CLR(1'b0),
        .D(input_data[6]),
        .G(\output_data3_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_1 [6]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[7] 
       (.CLR(1'b0),
        .D(input_data[7]),
        .G(\output_data3_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_1 [7]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[8] 
       (.CLR(1'b0),
        .D(input_data[8]),
        .G(\output_data3_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_1 [8]));
  (* XILINX_LEGACY_PRIM = "LD" *) 
  LDCE #(
    .INIT(1'b0)) 
    \output_data3_reg[9] 
       (.CLR(1'b0),
        .D(input_data[9]),
        .G(\output_data3_reg[15]_i_1_n_0 ),
        .GE(1'b1),
        .Q(\input_data[15]_1 [9]));
endmodule
`ifndef GLBL
`define GLBL
`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;

//--------   STARTUP Globals --------------
    wire GSR;
    wire GTS;
    wire GWE;
    wire PRLD;
    tri1 p_up_tmp;
    tri (weak1, strong0) PLL_LOCKG = p_up_tmp;

    wire PROGB_GLBL;
    wire CCLKO_GLBL;
    wire FCSBO_GLBL;
    wire [3:0] DO_GLBL;
    wire [3:0] DI_GLBL;
   
    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;
    reg JTAG_RUNTEST_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (strong1, weak0) GSR = GSR_int;
    assign (strong1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

endmodule
`endif
